import type { Reducer } from 'redux';
import type { Query } from '@mongodb-js/compass-query-history';
import type { StoredPipeline } from '@mongodb-js/compass-aggregations';
import type { ThunkAction } from 'redux-thunk';
import type { RootState } from '.';
export declare type UpdateItemAttributes = {
    name: string;
};
export declare type State = {
    id: string | undefined;
};
export declare enum ActionTypes {
    EditItemClicked = "compass-saved-aggregations-queries/edit-item/editItemClicked",
    EditItemCancelled = "compass-saved-aggregations-queries/edit-item/editItemCancelled",
    EditItemUpdated = "compass-saved-aggregations-queries/edit-item/editItemUpdated"
}
declare type EditItemClickedAction = {
    type: ActionTypes.EditItemClicked;
    id: string;
};
declare type EditItemCancelledAction = {
    type: ActionTypes.EditItemCancelled;
};
declare type EditItemUpdatedAction = {
    type: ActionTypes.EditItemUpdated;
    id: string;
    payload: Query | StoredPipeline;
};
export declare type Actions = EditItemClickedAction | EditItemCancelledAction | EditItemUpdatedAction;
declare const reducer: Reducer<State, Actions>;
export declare const editItem: (id: string) => EditItemClickedAction;
export declare const cancelEditItem: () => EditItemCancelledAction;
export declare const updateItem: (id: string, attributes: UpdateItemAttributes) => ThunkAction<void, RootState, void, Actions>;
export default reducer;
//# sourceMappingURL=edit-item.d.ts.map