import type { Query } from '@mongodb-js/compass-query-history';
import type { StoredPipeline } from '@mongodb-js/compass-aggregations';
declare type UpdateAttributes = Record<string, unknown>;
interface FavoriteQueryStorage {
    new (): {
        loadAll(): Promise<Query[]>;
        updateAttributes(id: string, attributes: UpdateAttributes): Promise<Query>;
        delete(id: string): Promise<void>;
    };
}
interface PipelineStorageClass {
    new (): {
        loadAll(): Promise<StoredPipeline[]>;
        updateAttributes(id: string, attributes: UpdateAttributes): Promise<StoredPipeline>;
        delete(id: string): Promise<void>;
    };
}
export declare function createCompassAggregationsMock(aggregations: StoredPipeline[]): {
    PipelineStorage: PipelineStorageClass;
};
export declare function createCompassQueryHistoryMock(queries: Query[]): {
    FavoriteQueryStorage: FavoriteQueryStorage;
};
export declare function createProxyquireMockForQueriesAndAggregationsPlugins(pipelines: StoredPipeline[], queries: Query[]): unknown;
export {};
//# sourceMappingURL=mock.d.ts.map